﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Search-Site.aspx.cs" Inherits="Search_Site" %>

<%@ Register Assembly="Ektron.Cms.Framework.UI.Controls.EktronUI" Namespace="Ektron.Cms.Framework.UI.Controls.EktronUI"
    TagPrefix="ektronUI" %>

<%@ Register Assembly="Ektron.Cms.Framework.UI.Controls" Namespace="Ektron.Cms.Framework.UI.Controls"
    TagPrefix="CMS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <CMS:SiteSearchController ID="SiteSearchController1" runat="server"></CMS:SiteSearchController>
        <CMS:SiteSearchInputView ID="SiteSearchInputView1" runat="server" ControllerID="SiteSearchController1"></CMS:SiteSearchInputView>
        <CMS:SiteSearchResultsView ID="SiteSearchResultsView1" runat="server" ControllerID="SiteSearchController1">
            <ItemTemplate>
                <h2>Search Results</h2>
                <asp:ListView ID="aspResults" runat="server" DataSource='<%# Eval("Results") %>' ItemPlaceholderID="aspPlaceholder">
                    <ItemTemplate>
                        <li class="result">
                        <h3 class="title"><a id="searchurl" href='<%# Eval("Url") %>' ><%# Eval("Title") %></a></h3>
                        <div class="summary"><%# Eval("Summary")%></div>
                        <span><b>URL: </b><%# Eval("Url")%></span><br />
                        <span><b>Content Type: </b><%# Eval("Type")%></span><br />
                        <span><b>Date: </b><%# Eval("Date")%></span>
                    </ItemTemplate>
                </asp:ListView>
            </ItemTemplate>
        </CMS:SiteSearchResultsView>
        <ektronUI:Pager ID="Pager1" runat="server" PageableControlID="SiteSearchController1"></ektronUI:Pager>
    </div>
    </form>
</body>
</html>
